<?php

namespace App\Form;

use App\Entity\Domain;
use App\Entity\DomainPage;
use Symfony\Bridge\Doctrine\Form\Type\EntityType;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\ChoiceType;
use Symfony\Component\Form\Extension\Core\Type\CollectionType;
use Symfony\Component\Form\Extension\Core\Type\TextType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

class DomainPageType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options): void
    {
        $builder
            ->add('locked')
            ->add('domain', EntityType::class, [
                'class' => Domain::class,
            ])
            ->add('path', TextType::class, [
                'attr' => [
                    'placeholder' => '/example/path'
                ]
            ])
            ->add('title', TextType::class, [
                'attr' => [
                    'placeholder' => 'Example Article Name'
                ]
            ]);
    }

    public function configureOptions(OptionsResolver $resolver): void
    {
        $resolver->setDefaults([
            'data_class' => DomainPage::class,
        ]);
    }
}
